
%
% anyremote configuration file for  kdialog --msgbox management. (Server-mode)
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=Kdialog test
GuiAppType=Example
GuiAppBinary=true
GuiAppProtocols=Server
GuiAppDesc=Simple example of configuration file

[Protocol]=Server

(Init)=\
	Include($(CfgDir)/Utils/aliases-server.cfg);\
	Exec(kdialog --msgbox "Initialized");\
	Make(alarm,/tmp/alarm1,ALARM1);\
	Make(alarm,/tmp/alarm2,ALARM2);
	
(Connect)=\
	Exec(kdialog --msgbox "Connected");\
	Set(parameter,debug,on);\
	Set(status,kdialog test);\
	Set(title,Press buttons one by one);\
	Set(icons,kdialog,1,question,2,question,3,question,4,question,5,question,6,question,7,question,8,question,9,question,0,question,*,default,#,default);

(Disconnect)=\
	Exec(kdialog --msgbox Disconnected)

InCall($$)=\
	Exec(kdialog --msgbox "Call from $(Param)");\
	Make(remote,off);

EndCall($$)=\
	Make(remote,on);\
	Exec(kdialog --msgbox "Call finished");

Back=\
	Set(text,close);

1=Exec(kdialog --msgbox 1);Set(icons,SAME,1,vol_down);Set(title,Button 1);
2=Exec(kdialog --msgbox 2);Set(icons,SAME,2,mute);Set(title,Button 2);
3=Exec(kdialog --msgbox 3);Set(icons,SAME,3,vol_up);Set(title,Button 3);
4=Exec(kdialog --msgbox 4);Set(icons,SAME,4,rewind);Set(title,Button 4);
5=Exec(kdialog --msgbox 5);Set(icons,SAME,5,play);Set(title,Button 5);
6=Exec(kdialog --msgbox 6);Set(icons,SAME,6,forward);Set(title,Button 6);
7=Exec(kdialog --msgbox 7);Set(icons,SAME,7,prev);Set(title,Button 7);
8=Exec(kdialog --msgbox 8);Set(icons,SAME,8,stop);Set(title,Button 8);
9=Exec(kdialog --msgbox 9);Set(icons,SAME,9,next);Set(title,Button 9);
0=Exec(kdialog --msgbox 0);Set(icons,SAME,0,pause);Set(title,Button 0);

% Multikey commands
* *=Set(text,replace,Help,Just press buttons and inspect results)
# 1=Exec(kdialog --msgbox Hash_1)
# 2=Exec(kdialog --msgbox Hash_2)

ALARM1=Set(status,"Alarm 1");
ALARM2=Set(status,"Alarm 2");

[End]
